# Meadow API ## Docs - [Authentication](https://api-docs.getmeadow.com/authentication.md): How to authenticate with the Meadow API - [Changelog](https://api-docs.getmeadow.com/changelog.md): New updates and improvements to the Meadow API - [List all products](https://api-docs.getmeadow.com/endpoints/analytics/list-all-products.md): Retrieve all product information for both active and inactive products - [List compliance transfers](https://api-docs.getmeadow.com/endpoints/analytics/list-compliance-transfers.md): Retrieve all incoming transfers from a compliance system (metrc) for an organization in reverse chronological order. 50 transfers will be returned at a time and may be paginated using the `startingAfter` query parameter. - [List instore queues](https://api-docs.getmeadow.com/endpoints/analytics/list-instore-queues.md): Retrieve waiting room information for the dispensary. - [List inventory locations](https://api-docs.getmeadow.com/endpoints/analytics/list-inventory-locations.md): Retrieve all of the inventory locations for the organization. These may be cross referenced in other requests when you see `inventoryLocationId`. - [List order returns](https://api-docs.getmeadow.com/endpoints/analytics/list-order-returns.md): Retrieve all order returns for an organization in reverse chronological order. 50 order returns will be returned at a time and may be paginated using the `startingAfter` query parameter. - [List orders](https://api-docs.getmeadow.com/endpoints/analytics/list-orders.md): Retrieve all orders for an organization in reverse chronological order. 50 orders will be returned at a time and may be paginated using the `startingAfter` query parameter. - [List packages](https://api-docs.getmeadow.com/endpoints/analytics/list-packages.md): Retrieve all packages for an organization in ascending order by when the package was most recently updated. 50 packages will be returned at a time and may be paginated using the `startingAfterUpdatedAt` and `startingAfterId` query parameters. - [List purchase orders](https://api-docs.getmeadow.com/endpoints/analytics/list-purchase-orders.md): Retrieve all purchase orders for an organization in reverse chronological order. 50 purchase orders will be returned at a time and may be paginated using the `startingAfter` query parameter. - [Retrieve an order](https://api-docs.getmeadow.com/endpoints/analytics/retrieve-order.md): Retrieve information about a specific order - [Retrieve the organization](https://api-docs.getmeadow.com/endpoints/analytics/retrieve-organization.md): Retrieve basic information about the organization - [Retrieve a package](https://api-docs.getmeadow.com/endpoints/analytics/retrieve-package.md): Retrieve package information for a specific label/tag - [Add customer to group](https://api-docs.getmeadow.com/endpoints/customers/add-customer-to-group.md): Add customer to a customer group - [Add loyalty points](https://api-docs.getmeadow.com/endpoints/customers/add-loyalty-points.md): Create a loyalty event that awards points to a customer - [List customer groups](https://api-docs.getmeadow.com/endpoints/customers/list-customer-groups.md): Retrieve all customer groups for an organization. - [List customers](https://api-docs.getmeadow.com/endpoints/customers/list-customers.md): Retrieve all customers for an organization in reverse chronological order. 50 customers will be returned at a time and may be paginated using the `startingAfter` query parameter. - [Remove customer from group](https://api-docs.getmeadow.com/endpoints/customers/remove-customer-from-group.md): Remove customer from a customer group - [Retrieve a customer](https://api-docs.getmeadow.com/endpoints/customers/retrieve-customer.md): Retrieve details for a specific customer via ID - [List all menu products](https://api-docs.getmeadow.com/endpoints/menu/list-menu.md): Fetch the menu for an organization - [List tags](https://api-docs.getmeadow.com/endpoints/menu/list-tags.md): Fetch all of the product tags for an organziation - [Create an order](https://api-docs.getmeadow.com/endpoints/orders/create-order.md): Create an order for a customer - [Customer Matching](https://api-docs.getmeadow.com/endpoints/orders/customer-matching.md) - [List payment types](https://api-docs.getmeadow.com/endpoints/orders/list-payment-types.md): Retrieve all payment types for an organization. - [Retrieve cart pricing](https://api-docs.getmeadow.com/endpoints/orders/retrieve-pricing.md): Retrieve pricing information for a cart (prices, discounts, taxes, etc.) - [Retrieve order status](https://api-docs.getmeadow.com/endpoints/orders/retrieve-status.md): Retrieves the status of the order for that ID - [Upload customer document](https://api-docs.getmeadow.com/endpoints/orders/upload-document.md): POST /api/v1/documents/\{customerId\}/\{documentType\} - [Create a product](https://api-docs.getmeadow.com/endpoints/products/create-product.md) - [Create purchase order](https://api-docs.getmeadow.com/endpoints/products/create-purchase-order.md): Create a purchase order in order to receive inventory - [List categories](https://api-docs.getmeadow.com/endpoints/products/list-categories.md): Retrieve all of the product categories for the organization. - [List sub-categories](https://api-docs.getmeadow.com/endpoints/products/list-sub-categories.md): Retrieve all of the product sub-categories for the organization. - [Update a product](https://api-docs.getmeadow.com/endpoints/products/update-product.md) - [Update product options](https://api-docs.getmeadow.com/endpoints/products/update-product-options.md) - [Update purchase order](https://api-docs.getmeadow.com/endpoints/products/update-purchase-order.md) - [Update UPCs](https://api-docs.getmeadow.com/endpoints/products/update-upcs.md): Update UPC fields for product options - [Errors](https://api-docs.getmeadow.com/errors.md): How to handle errors returned from Meadow endpoints - [Inventory](https://api-docs.getmeadow.com/guides/inventory.md): How to work with product inventory - [Introduction](https://api-docs.getmeadow.com/introduction.md): Get started using the Meadow API - [Permissions](https://api-docs.getmeadow.com/permissions.md) - [Rate Limits](https://api-docs.getmeadow.com/rate-limits.md) - [Responses](https://api-docs.getmeadow.com/responses.md): How to handle responses from Meadow endpoints ## OpenAPI Specs - [openapi](https://api-docs.getmeadow.com/endpoints/openapi.json) - [package](https://api-docs.getmeadow.com/package.json) - [package-lock](https://api-docs.getmeadow.com/package-lock.json)